From e8580a170eddf566311ed86524ea630c9d75d213 Mon Sep 17 00:00:00 2001
From: Dylan Smith <Dylan.Smith@shopify.com>
Date: Thu, 18 Aug 2011 11:47:33 -0400
Subject: [PATCH 1/2] Fall back on username and password from parsing site for
 Connection.

Currently the username and password returned from _parse_site are just
overwritten.
---
 src/connection.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/connection.py b/src/connection.py
index 6f35b7c..c983f60 100644
--- a/src/connection.py
+++ b/src/connection.py
@@ -193,8 +193,8 @@ class Connection(object):
         """
 
         self.site, self.user, self.password = self._parse_site(site)
-        self.user = user or ''
-        self.password = password or ''
+        self.user = user or self.user or ''
+        self.password = password or self.password or ''
 
         if self.user or self.password:
             self.auth = base64.b64encode('%s:%s' % (self.user, self.password))
-- 
1.7.6

